EDIT - bug #7340

OderedVocabularies are initialised with DefinedTerms
03/29/2018 01:39 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal Found in Version:

Description

In Campanula production | tried adding a new term for all term vocabularies.

This fails for OrderTermVocabularies because the fallback, when creating a new term, is creating a DefinedTerm which results in a
ClassCastException when adding to an OrderedTermVocabulary (TermType.getEmptyDefinedTermBase()).

This happens for:

DeterminationModifier:
Modifier:

Stage:

Sex:

Scope:

Additionally, in Campanula production, for the following term types a class cast exception happens because they are initialised with
DefinedTerms although they are OrderedTermVocabularies:

* Sex
¢ Determination Modifier

Related issues:
Related to EDIT - bug #6343: TermVocabularies of OrderedTerms must be Ordered... In Progress

Associated revisions

Revision 5c0f124f - 06/03/2018 11:49 AM - Andreas Miiller

ref #7340 make DeterminationModifier and Sex default vocabularies unordered

History

#1 - 06/03/2018 10:59 AM - Andreas Miiller

- Related to bug #6343: TermVocabularies of OrderedTerms must be OrderedVocabularies added

#2 - 06/03/2018 12:20 PM - Andreas Miuiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miiller to Patrick Plitzner
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.1

By definition these terms and there vocabularies should not be ordered. The following attributes are all of type DefinedTerm and NOT
DefinedTermBase and therefore are NOT ordered.

SpecimenOrObservationBase.sex
SpecimenOrObservationBase.lifeStage
DeterminationEvent.modifier
DescriptionElementBase.modifier
StateData.modifiers
StatisticalMeasurementValue.modifiers
IldentificationKey.getScopeRestrictions
TaxonDescription.scopes

| did set all vocabularies and their terms to non-ordered on all DBs on production, test and integration. An according update script for other database
will run within #6343. The according SQL statements to update local databases before can be found there.
The csv files for Sex and Determination Modifier needed to be updated (see changeset)

#3 - 06/03/2018 12:20 PM - Andreas Miiller
- % Done changed from 0 to 50

#4 - 06/04/2018 12:13 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 100

| tried creating a new term for the above mentioned vocabularies and everything worked fine.
